import * as i0 from '@angular/core';
import { InjectionToken, NgZone, NgModule } from '@angular/core';
import { initializeApp } from 'firebase/app';

const firebaseAppConfigToken = new InjectionToken('FIREBASE_OPTIONS');

const firebaseAppToken = new InjectionToken('FIREBASE_APP');

function _firebaseAppFactory(config, zone) {
    return zone.runOutsideAngular(() => initializeApp(config));
}
// Have to mark it as "dynamic" because of the AOT compilation error: "Arrow lambda not supported in static function" (in relation to `zone.runOutsideAngular` call above).
// See https://github.com/dherges/ng-packagr/issues/696 for details.
// @dynamic
class FirebaseAppModule {
    static initializeApp(config) {
        return {
            ngModule: FirebaseAppModule,
            providers: [
                {
                    provide: firebaseAppConfigToken,
                    useValue: config
                },
                {
                    provide: firebaseAppToken,
                    useFactory: _firebaseAppFactory,
                    deps: [firebaseAppConfigToken, NgZone]
                }
            ]
        };
    }
}
FirebaseAppModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.6", ngImport: i0, type: FirebaseAppModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
FirebaseAppModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.6", ngImport: i0, type: FirebaseAppModule });
FirebaseAppModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.6", ngImport: i0, type: FirebaseAppModule, providers: [] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.6", ngImport: i0, type: FirebaseAppModule, decorators: [{
            type: NgModule,
            args: [{
                    providers: []
                }]
        }] });

/*
 * Public API Surface of ng-firebase-lite
 */

/**
 * Generated bundle index. Do not edit.
 */

export { FirebaseAppModule, firebaseAppToken };
//# sourceMappingURL=ng-firebase-lite.mjs.map
